SCON(1)

NAME
scon - controls screen modes for pcvt video driver

SYNOPSIS
scon [-a] [-c screenno] [-d device] [-f on|off] [-h] [-H] [-l] [-m] [-v] [-V] [-s lines]
scon [-v] [-d device] -p entry,red,green,blue
scon [-v] [-d device] -p default
scon [-v] [-d device] -p list
scon [-v] -t timeout
scon [-v] -1 | -8

DESCRIPTION
The scon utility controls several aspects of the runtime behaviour of the pcvt vt220 driver.

The options are as follows:

-a  Returns a string describing the video adaptor found by pcvt, the string returned could be MDA, HGC, CGA, EGA, VGA or UNKNOWN.

-c  Specify the screen number the current (displayed) screen should be switched to.

-d  Specify the device filename (i.e. /dev/ttyv2) further operations specified on the command line should be applied to.

-f  Some programs which silently assume 24 lines when they run on a VT220 show incorrect behaviour when the terminal has really 25 lines. To support full VT220 behaviour, it is possible to force pcvt to select only 24 lines when it is running in 25-lines pure VT mode and/or in 28-lines HP-mode. The -f option requires one additional parameter, the string 'on' or 'off' to switch this mode for a virtual screen on or off respectively. This mode has no effect if any other vertical resolutions are selected than the two above mentioned.

-h  Prints a usage/help text.

-l  Lists the current configuration of runtime changeable options and fixed parameters (such as the type of the adaptor, and in case of a VGA adaptor, the Manufacturer, Chipset and 132 column support) of the output portion of the pcvt driver.

-m  Returns a string describing the connected display monitor type found by pcvt, the string returned can be MONO, COLOR or UNKNOWN.

-v  Specify verbose operation of the program.

-V  Switch the specified/current screen into a pure VT220 mode without recognizing any HP escape sequences and without displaying function key labels.

-H  Switch the specified/current screen into a mixed HP/VT220 mode. That is, that in addition to the full VT220 emulation, the HP function key labels and the escape sequences for handling the labels are available to the user.

-s  Specify the number of character lines on the screen. Possible parameters are 25, 28, 35, 40, 43 or 50. To use all this screen sizes, the fonts required for proper operation of a desired size have to be downloaded to the EGA/VGA font ram. This option is available only for EGA and VGA boards.

-p  Modify VGA palette (DAC). The -p is mutually exclusive with -s, -H, and -V. Naturally, option -p is available only for VGA boards. Three flavors are available. If used with argument “default”, this flag will restore the default palette ( as installed by VGA ROM BIOS after hardware reset). If used with argument “list”, the current VGA DAC palette entries are listed. Each entry contains the table index, values for red, green, and blue, and if there's a known name for this entry, the color name. Trailing empty table slots (RGB values all zero) are omitted. Otherwise, four comma-separated arguments are expected. The first denotes the number of palette entry to be modified. This may be either a number between 0 and 255, or the usual name of an associated color (case-insensitive). The following values for red, green and blue are restricted to 0 through 63 due to VGA DAC conventions. Note that the first delimiter within such an argument may be a colon “”: instead of a comma “”, for better readability, but this violates common command argument conventions. Multiple -p options may be specified if unambiguous.

-t  Specifying -t will activate the screen saver. The behaviour depends on timeout: if timeout is given as 0, the screen saver is turned off. Otherwise, timeout is taken as a number of seconds to wait until activating the screen saver. NOTE: the -t option is only available if screen saver support has been compiled into the driver !

-1  Sets 132 columns mode (only available on VGA adaptors).

-8  Sets 80 columns mode.

When switching between HP and VT mode, when switching the force 24 lines mode on and off, or when switching between 80 and 132 columns operation, the screen is cleared, the scrolling region is reset and the cursor is placed in the home position.

EXAMPLES
The command “scon -H -s 28” places the current screen into HP mode and sets the screen size to 28x80. Invoking “ scon -p lightgray,0,15,0 -p 0:45,45,45 ” will result in green on gray output for normal text. Note that normal text color is light gray, and not white as one might expect.

BUGS
the -c and -d options collide somehow, this will change in a future release.

SEE ALSO
cursor(1), loadfont(1), pcvt(4)